"use strict";

const either = require("@validatem/either");

module.exports = function (operations) {
	const isObjectType = require("./is-object-type")(operations);
	
	return either([
		isObjectType("computeMultiple"),
		isObjectType("computeSingle"),
	]);
};
